import React from 'react';
import { PropsWithMetadata } from '@highlight-ui/utils-commons';
export declare type SectionCardProps = PropsWithMetadata<Omit<React.HTMLAttributes<HTMLDivElement>, 'className'> & {
    /** The title of the section */
    title: string;
    /** The sub-title of the section */
    subtitle?: string;
    /** Additional text to be displayed under the title and the sub-title */
    text?: string;
    /** React.Node that will be rendered on the right hand-side of the Section Card */
    children: React.ReactNode;
}>;
declare const SectionCard: React.ForwardRefExoticComponent<Omit<React.HTMLAttributes<HTMLDivElement>, "className"> & {
    /** The title of the section */
    title: string;
    /** The sub-title of the section */
    subtitle?: string | undefined;
    /** Additional text to be displayed under the title and the sub-title */
    text?: string | undefined;
    /** React.Node that will be rendered on the right hand-side of the Section Card */
    children: React.ReactNode;
} & {
    metadata?: import("@highlight-ui/utils-commons").ComponentMetadata | undefined;
} & React.RefAttributes<HTMLDivElement>>;
export default SectionCard;
